<?xml version="1.0"?>
<?xml-stylesheet type="text/css" href="http://docs.hostway.com/skins/common/feed.css?303"?>
<feed xmlns="http://www.w3.org/2005/Atom" xml:lang="en">
		<id>http://docs.hostway.com/index.php?action=history&amp;feed=atom&amp;title=Accounts-accountNumber-web-domainName-subdomains%3AGET</id>
		<title>Accounts-accountNumber-web-domainName-subdomains:GET - Revision history</title>
		<link rel="self" type="application/atom+xml" href="http://docs.hostway.com/index.php?action=history&amp;feed=atom&amp;title=Accounts-accountNumber-web-domainName-subdomains%3AGET"/>
		<link rel="alternate" type="text/html" href="http://docs.hostway.com/index.php?title=Accounts-accountNumber-web-domainName-subdomains:GET&amp;action=history"/>
		<updated>2026-05-18T10:15:57Z</updated>
		<subtitle>Revision history for this page on the wiki</subtitle>
		<generator>MediaWiki 1.18.0</generator>

	<entry>
		<id>http://docs.hostway.com/index.php?title=Accounts-accountNumber-web-domainName-subdomains:GET&amp;diff=2230&amp;oldid=prev</id>
		<title>Mike.robski: 1 revision: Release 109</title>
		<link rel="alternate" type="text/html" href="http://docs.hostway.com/index.php?title=Accounts-accountNumber-web-domainName-subdomains:GET&amp;diff=2230&amp;oldid=prev"/>
				<updated>2015-07-24T18:16:38Z</updated>
		
		<summary type="html">&lt;p&gt;1 revision: Release 109&lt;/p&gt;
&lt;table class='diff diff-contentalign-left'&gt;
		&lt;tr valign='top'&gt;
		&lt;td colspan='1' style=&quot;background-color: white; color:black;&quot;&gt;← Older revision&lt;/td&gt;
		&lt;td colspan='1' style=&quot;background-color: white; color:black;&quot;&gt;Revision as of 18:16, 24 July 2015&lt;/td&gt;
		&lt;/tr&gt;&lt;/table&gt;</summary>
		<author><name>Mike.robski</name></author>	</entry>

	<entry>
		<id>http://docs.hostway.com/index.php?title=Accounts-accountNumber-web-domainName-subdomains:GET&amp;diff=2229&amp;oldid=prev</id>
		<title>Velimira.metodieva: /* GET /accounts/{accountNumber}/web/{domainName}/subdomains */</title>
		<link rel="alternate" type="text/html" href="http://docs.hostway.com/index.php?title=Accounts-accountNumber-web-domainName-subdomains:GET&amp;diff=2229&amp;oldid=prev"/>
				<updated>2015-04-20T13:40:28Z</updated>
		
		<summary type="html">&lt;p&gt;&lt;span class=&quot;autocomment&quot;&gt;GET /accounts/{accountNumber}/web/{domainName}/subdomains&lt;/span&gt;&lt;/p&gt;
&lt;p&gt;&lt;b&gt;New page&lt;/b&gt;&lt;/p&gt;&lt;div&gt;= GET /accounts/{accountNumber}/web/{domainName}/subdomains =&lt;br /&gt;
Returns a list of the subdomains.&lt;br /&gt;
&lt;br /&gt;
__TOC__&lt;br /&gt;
&lt;br /&gt;
== Request ==&lt;br /&gt;
&amp;lt;code&amp;gt;GET /accounts/{accountNumber}/web/{domainName}/subdomains&amp;lt;/code&amp;gt;&lt;br /&gt;
&lt;br /&gt;
=== URI Parameters ===&lt;br /&gt;
; accountNumber - ''string''&lt;br /&gt;
: The user account to which the domain name and the subdomains belong&lt;br /&gt;
&lt;br /&gt;
; domainName - ''string''&lt;br /&gt;
: The target domain name (domain name under which the site is actually hosted)&lt;br /&gt;
&lt;br /&gt;
=== Request Headers ===&lt;br /&gt;
{{Authorization}}&lt;br /&gt;
&lt;br /&gt;
&lt;br /&gt;
== Response ==&lt;br /&gt;
&lt;br /&gt;
=== Response Body ===&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
{&lt;br /&gt;
    &amp;quot;list&amp;quot;: [{&amp;quot;status&amp;quot;: &amp;quot;{status}&amp;quot;, &amp;quot;domain&amp;quot;: &amp;quot;{domain}&amp;quot;, &amp;quot;subdomain&amp;quot;: &amp;quot;{subdomain}&amp;quot;},&lt;br /&gt;
             {&amp;quot;status&amp;quot;: &amp;quot;{status}&amp;quot;, &amp;quot;domain&amp;quot;: &amp;quot;{domain}&amp;quot;, &amp;quot;subdomain&amp;quot;: &amp;quot;{subdomain}&amp;quot;}, &lt;br /&gt;
    &amp;quot;links&amp;quot;: [{&amp;quot;href&amp;quot;: &amp;quot;http://{server_name}/accounts/{accountNumber}/web/{domainName}/subdomains&amp;quot;,&lt;br /&gt;
               &amp;quot;rel&amp;quot;: &amp;quot;self&amp;quot;}]&lt;br /&gt;
}&lt;br /&gt;
 &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
==== Parameters ====&lt;br /&gt;
:; list - ''list''&lt;br /&gt;
:: A list, containing the status, the domain and the corresponding subdomain.&lt;br /&gt;
&lt;br /&gt;
::; status - ''string''&lt;br /&gt;
::: Status of the subdomain. Currently only subdomains with status '''open''' are listed.&lt;br /&gt;
&lt;br /&gt;
::; domain - ''string''&lt;br /&gt;
::: The domain name of the main web hosting product.&lt;br /&gt;
&lt;br /&gt;
::; subdomains - ''string''&lt;br /&gt;
::: The subdomain.&lt;br /&gt;
&lt;br /&gt;
:; links - ''list''&lt;br /&gt;
:: [[Hypermedia|Hypermedia]] for this resource&lt;br /&gt;
&lt;br /&gt;
=== Status Code ===&lt;br /&gt;
; 200 OK&lt;br /&gt;
: Success&lt;br /&gt;
&lt;br /&gt;
; 401 Unauthorized&lt;br /&gt;
: The supplied credentials are invalid or do not provide permissions for this operation&lt;br /&gt;
&lt;br /&gt;
; 403 Forbidden&lt;br /&gt;
: The authenticated user is not allowed to access this resource&lt;br /&gt;
&lt;br /&gt;
; 404 Not Found&lt;br /&gt;
: The domain name does not exist for the account&lt;br /&gt;
&lt;br /&gt;
&lt;br /&gt;
== Examples ==&lt;br /&gt;
&lt;br /&gt;
=== Successful retrieving subdomains ===&lt;br /&gt;
'''Request'''&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
GET /accounts/test-account/web/test.com/subdomains&lt;br /&gt;
 &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
'''Response'''&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
{&lt;br /&gt;
    &amp;quot;list&amp;quot;: &lt;br /&gt;
    [&lt;br /&gt;
             {&amp;quot;status&amp;quot;: &amp;quot;open&amp;quot;, &amp;quot;domain&amp;quot;: &amp;quot;test.com&amp;quot;, &amp;quot;subdomain&amp;quot;: &amp;quot;sub.test.com&amp;quot;},&lt;br /&gt;
             {&amp;quot;status&amp;quot;: &amp;quot;open&amp;quot;, &amp;quot;domain&amp;quot;: &amp;quot;test.com&amp;quot;, &amp;quot;subdomain&amp;quot;: &amp;quot;sub1.test.com&amp;quot;},&lt;br /&gt;
             {&amp;quot;status&amp;quot;: &amp;quot;open&amp;quot;, &amp;quot;domain&amp;quot;: &amp;quot;test.com&amp;quot;, &amp;quot;subdomain&amp;quot;: &amp;quot;sub1.v.test.com&amp;quot;}&lt;br /&gt;
    ], &lt;br /&gt;
    &amp;quot;links&amp;quot;: &lt;br /&gt;
    [&lt;br /&gt;
             {&amp;quot;href&amp;quot;: &amp;quot;&amp;lt;/nowiki&amp;gt;{{APIBaseURL}}&amp;lt;nowiki&amp;gt;/accounts/test-account/web/test.com/subdomains/&amp;quot;, &amp;quot;rel&amp;quot;: &amp;quot;self&amp;quot;}&lt;br /&gt;
    ]&lt;br /&gt;
}&lt;br /&gt;
&amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
{{disqus}}&lt;br /&gt;
[[Category:Hostway API]]&lt;br /&gt;
[[Category:Web API]]&lt;/div&gt;</summary>
		<author><name>Velimira.metodieva</name></author>	</entry>

	</feed>